Name:           amahi-weightwatcher
Version: 1.1
Release:        1

Summary:        Weightwatcher is an Amahi Home Server demo app to keep track of weight in the family.

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hdactl hda-platform
Obsoletes: hda-app-weightwatcher

%define debug_package %{nil}

%description
amahi-weightwatcher is an Amahi Home Server app to
keep track of weight in the family.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/platform/apps/weightwatcher
rsync -a app/ $RPM_BUILD_ROOT/var/hda/platform/apps/weightwatcher/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/service httpd reload > /dev/null 2>&1

%preun
if [ "$1" = 0 ]; then
	# not an install, an upgrade
	/sbin/service httpd reload > /dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
/var/hda/platform/apps/weightwatcher


%changelog
* Sun Mar 11 2007 Carlos Puchol
- initial version
